<?php

namespace Intergo\SubscriptionClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class SubscriptionApiHandler extends ApiHandler
{
    protected static $endpoints = [
        /** ########### Plans ########### */
        'getAllPlans' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/plan/all'],
        'getPlanById' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/plan/:id'],
        'createPlan' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/plan/create'],
        'updatePlan' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/plan/update/:id'],
        'deletePlan' => [self::METHOD => HttpMethodEnum::DELETE, self::URL => '/plan/delete/:id'],
        'getPlanTypes' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/plan-types'],
        'getSubscriptionsForManager' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/subscription/all', self::INTERNAL => true],
        'storeSubcription' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/subscription/create'],
        'getSubscriptionById' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/subscription/:id'],
        'getSubscriptionBillingLogsBasedOnSubscriptionId' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/subscription/subscription-logs/:subscription_id'],
    ];
}
